js_calls.d(1m)

NAME
js_calls.d - count JavaScript calls using DTrace.

SYNOPSIS
js_calls.d

DESCRIPTION
This traces activity from all browsers on the system that are running with JavaScript provider support. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace JavaScript provider, which may change as additional features are introduced. Check JavaScript/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # js_calls.d

FIELDS

FILE
    Filename of the JavaScript program

TYPE
    Type of call (func/obj-new/...)

NAME
    Descriptive name of call

COUNT
    Number of calls during sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
js_calls.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)